#from centos:jdk1.8.0_151
FROM centos:jdk8-cat-test

MAINTAINER from freemud.cn by chengjun.ding (chengjun.ding@freemud.cn)

ADD target/a.jar /home/saas-i-application/
RUN mkdir -p /home/saas-i-application /data


#服务端口需要修改
EXPOSE  9170

#启动命令;如果需要添加额外的参数,添加到java -jar 后面
ENTRYPOINT [ "sh", "-c", "java -Xms256m -Xmx256m -javaagent:/data/cat-client/cat-client-agent-0.0.1-SNAPSHOT.jar=/data/cat-client/catagent-conf.properties -javaagent:/data/cat-client/aspectjweaver-1.8.13.jar -Dorg.aspectj.weaver.loadtime.configuration=file:/data/cat-client/aop.xml -DCATPLUGIN_CONF=/data/cat-client/catplugin-conf.properties -Dcat.app.name=push-order-service_saas_test -server -Dspring.profiles.active=envprofile -Duser.timezone=GMT+08  -jar /home/saas-i-application/a.jar" ]
#ENTRYPOINT [ "sh", "-c", "java -Xms256m -Xmx256m -server -Duser.timezone=GMT+08  -jar /home/saas-i-application/a.jar" ]
